Skip to main content
PUT
V0 - Update dimensions (externalId)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string
default:text/plain; charset=utf-8

Standard application/json content type.

X-Findity-ApiVersion
string
default:3

Findity API version. Use 3 for the current admin API.

Path Parameters

externalId
string
required

The external source id of the organization

Body

application/json

The full set of custom dimension definitions to apply to the organization.

externalSourceId
string

Can be used to address a dimension with a globally unique id from external system

description
string

Name of dimension

level
enum<string>

Where the dimension is presented

Available options:
EXPENSE,
EXPENSE_REPORT
controlType
enum<string>

If the dimension is a fixed list or a free text field

Available options:
LIST_SEARCHABLE,
TEXT
presetLocation
enum<string>

If preset is used, this defines where the preset is set

Available options:
NONE,
EMPLOYEE,
DEPARTMENT,
CATEGORY
userOverridable
boolean

If preset is used, this controls if user can change the preset

visibleIfNoPreset
boolean

If preset is not used, this indicates if the dimension should be shown or not

Response

200 - application/json

Custom dimension definitions saved.

Last modified on August 31, 2026